Message-ID: <3B0D9935.52FDB2AC@bellsouth.net>
From: Michael Austin <miaustin@bellsouth.net>
X-Mailer: Mozilla 4.75 [en] (Win98; U)
X-Accept-Language: en,pdf
MIME-Version: 1.0
Newsgroups: comp.databases.oracle.marketplace,comp.databases.oracle.misc,comp.databases.oracle.server,comp.databases.oracle.tools
Subject: Re: java oracle replication problem
References: <pl5P6.22436$h9.1816745@news.infostrada.it>
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
Lines: 90
NNTP-Posting-Host: onlyNews customer
X-Complaints-To: abuse@onlynews.com
X-Trace: onlyNews customer
NNTP-Posting-Date: Sat, 21 Jul 2001 14:43:41 PDT
Organization: www.onlynews.com
Date: Sat, 21 Jul 2001 21:43:41 GMT


You would think that by now people would include all of the relevant information
like platform, OS version and database/option versions.  Remember Oracle is NOT
Oracle is NOT Oracle.  Close, but not exact.  There are over 100 porting teams
at Oracle that port this stuff from Solaris to whatever platform you are using.

 REPAPI-26515 No master log available for name.name
 Cause: The specified master log was not found or available for the named table.

 Action: Create the master log at the master site or correct any problems that
 may exist with the log.

What is the status of your logs?  Does a PL/SQL version of this work?

Michael Austin
DBA Consultant.


"(¯`·.¸¸.·´¯`·.¸¸.-> Rain Boy" wrote:

> I'm tryng to use the oracle replication features using Java REPAPI. but I'm
> not able to use fast replication.
> here is the source code and the output obtained:
>
> ****************************************************************************
> ***********************
>
> *** This is the Java Source Code: ***
> import java.io.*;
> import oracle.lite.jrc.*;
>
> class JRCEX {
>     public static void main(String[] args) {
>   try {
>    POLRep8 obj = new POLRep8();
>
>    System.out.println("initialize...");
>    obj.initialize((short)0, 3, 0, "");
>
>    System.out.println("masterConnectionOpen...");
>    obj.masterConnectionOpen("UTENTE", "UTENTE", "ISTANZA_REMOTA");
>
>    System.out.println("snapshotConnectionOpen...");
>    obj.snapshotConnectionOpen("system", "", "DB_LOCALE");
>
>    System.out.println("snapshotGroupReset...");
>    obj.snapshotGroupReset();
>
>    obj.snapshotGroupAdd("UTENTE", "TABELLA", (short)0); // <-- se usiamo 2
> come parametro funziona ma scarica tutto il DB
>
>    System.out.println("snapshotGroupRefresh...");
>    obj.snapshotGroupRefresh(false);
>
>    System.out.println("masterConnectionClose...");
>    obj.masterConnectionClose();
>
>    System.out.println("snapshotConnectionClose...");
>    obj.snapshotConnectionClose();
>   } catch (POLRepException e) {
>    System.out.println(e.getError());
>    System.out.println(e.getMessage());
>   }
>  }
> }
>
> ****************************************************************************
> ***********************
>
> *** This is the output: ***
> E:\>java JRCEX
> initialize...
> masterConnectionOpen...
> snapshotConnectionOpen...
> snapshotGroupReset...
> snapshotGroupRefresh...
> -26515
> REPAPI-26515: no master log available for 'UTENTE.TABELLA'
>
> E:\>
>
> ****************************************************************************
> ***********************
>
> it seem oracle it's not able to found the Log table, even if it exists.
>
> the system is:
>
> Oracle Enterprise V.8.0.1.6
> Oracle Lite 4


